﻿
@{
    @using Microsoft.AspNetCore.Http
    @using Newtonsoft.Json;
    @using Avira.MarketingResearch.Model.ViewModels;
    ViewBag.Title = "Project DashBorad";
    Layout = "~/Views/Shared/_Layout.cshtml";
    var Permissions = Context.Session.GetString("PermissionList");
    var controllerName = this.ViewContext.RouteData.Values["controller"].ToString();
    var PermissionList = JsonConvert.DeserializeObject<List<PermissionsByUserRoleIdViewModel.PermissionByRoleId>>(Permissions);
    var permission = PermissionList.FirstOrDefault(x => x.PermissionName.Equals(controllerName));
    var userRoleName = Context.Session.GetString("UserRoleName");
}
<link href="~/assets/css/avira-custom.css" rel="stylesheet" />
<script src="~/assets/plugins/jquery/jquery-3.3.1.min.js"></script>
@*<script src="~/assets/js/page-table-manage.demo.min.js"></script>*@

<div id="content" class="content">

    <div class="section-with-top-border">
        <div class="row">
            <div class="col-md-8 page-header">
                Project Dashboard
            </div>
            <div class="col-md-4 text-right">
                <p>

                    @*1)read 2)create read 3) update create read 4) delete update create read*@
                    @if (permission != null && permission.PermissionLevel > 1)
                    {
                        <a href="~/Project/Create" class="btn btn-sm btn-inverse width-200">
                            <i class="fas fa-file-signature"></i>
                            <span>Add New Project</span>
                        </a>
                    }
                    else
                    {
                        <a href="~/Project/Create" class="btn btn-sm btn-inverse width-200" style="display:none;">
                            <i class="fas fa-file-signature"></i>
                            <span>Add New Project</span>
                        </a>     
                    }
                    </p>
            </div>
        </div>
        @if (ViewBag.Message != null)
        {
            <div class="alert alert-success alert-bordered show m-b-10">
                <strong>Info!</strong>
                @ViewBag.Message
                <span class="close" data-dismiss="alert">×</span>
            </div>
        }
        <!-- begin panel -->
        <div class="section-container section-with-top-border">

            <div class="panel pagination-inverse m-b-0 clearfix">

                <table id="data-table" data-order='[[0,"asc"]]' class="table table-bordered table-hover" width="100%">
                    <thead>
                        <tr class="inverse">
                            <th width="5%">Sr No</th>
                            <th width="15%">Project Code</th>
                            <th width="15%">Project Name</th>
                            <th width="15%">Approver</th>
                            <th width="15%">CoApprover</th>
                            <th width="10%">Start Date</th>
                            <th width="10%">End Date</th>
                            <th width="15%">Status</th>
                            @*<th>% Completion</th>*@
                            <th width="5%" data-sorting="disabled" style="pointer-events: none !important;">Action</th>
                        </tr>
                    </thead>
                    <tbody></tbody>


                </table>
            </div>
        </div>

        <!-- end panel -->
    </div>
    <div id="footer" class="footer">
        <span class="pull-right">
            <a href="javascript:;" class="btn-scroll-to-top" data-click="scroll-top">
                <i class="fa fa-arrow-up"></i> <span class="hidden-xs">Back to Top</span>
            </a>
        </span>
        &copy; 2018 <b>Source Admin</b> All Right Reserved
    </div>
</div>

<script>
    $(document).ready(function () {
    var url = '@Url.Action("LoadData", "Project")'
       $("#data-table").DataTable({
            "processing": true,
            "serverSide": true,
            "filter": true,
            "orderMulti": false,
            "ajax": {
                "url": url,
                "type": "POST",
                "datatype": "json",
            },
            "fnRowCallback": function (nRow, aData, iDisplayIndex) {
                $("td:nth-child(1)", nRow).html(iDisplayIndex + 1);
                return nRow;
            },
            "columns": [
                { "data": null },
                { "data": "projectCode", "name": "projectCode" },
                { render: function (data, type, full, meta) { return '<a href="/Project/ProjectTracker/'+ full.id + '">' + full.projectName + '</a> '; } },
                { "data": "approver", "name": "Approver" },
                { "data": "coApprover", "name": "CoApprover"},
                {

                    render: function (data, type, full, meta) {
                        var temp = full.startDate;

                        var month = new Date(temp).getMonth() + 1;
                        var year = new Date(temp).getFullYear();
                        var day = new Date(temp).getDate();
                        var date = month + "/" + day + "/" + year;
                        return date;
                    }
                },
                {
                    render: function (data, type, full, meta) {
                        var temp = full.endDate;
                        var month = new Date(temp).getMonth() + 1;
                        var year = new Date(temp).getFullYear();
                        var day = new Date(temp).getDate();
                        var date = month + "/" + day + "/" + year;
                        return date;
                    }
                },
                { "data": "projectStatusName", "name": "projectStatusName" },

                {
                    ///Project/Edit/'
                    render: function (data, type, full, meta) { return '<a class="btn btn-default btn-xs btn-rounded p-l-10 p-r-10" href="/Project/Edit/' + full.id + '"><i class="fas fa-edit"></i></a> '; }

                },

            ]

        });
    });
</script>
